# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:42 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Virtual
Summary:	Class::Virtual Perl module - Base class for virtual base classes
Summary(pl):	Class::Virtual - podstawowa klasa do implementacji podstawowych klas wirtualnych
Name:		perl-Class-Virtual
Version:	0.03
Release:	2
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Class-ISA
BuildRequires:	perl-enum
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Virtual is a base class for implementing virtual base classes
(what some people call an abstract class).  Kinda kooky.  It allows
you to explicitly declare what methods are virtual and that must be
implemented by subclasses.  This might seem silly, since your program
will halt and catch fire when an unimplemented virtual method is hit
anyway, but there are some benefits.

%description -l pl
Class::Virtual jest podstawow klas do implementacji podstawowych
klas wirtualnych (przez niektrych nazywanych klasami abstrakcyjnymi).
Pozwala ona na jawne okrelenie, ktre metody s wirtualne i musz
by zaimplementowane w podklasach. Moe si to wydawa gupie, gdy
program uytkownika i tak stanie (i wznieci ogie) po natraieniu na
niezaimplementowan metod wirtualn, ale rozwizanie to ma pewne
zalety.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Class/Virtual.pm
%{perl_sitelib}/Class/Virtually
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-Virtual.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:13  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/12 16:37:44  mis
- removed nonsense Summaries

Revision 1.1  2002/07/30 13:52:48  ankry
- new module

